<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
<TITLE>Image</TITLE>
<LINK TYPE="text/css" REL="stylesheet" HREF="fpdf.css">
</HEAD>
<BODY>
<H2>Image</H2>
<TT>Image(<B>string</B> file, <B>float</B> x, <B>float</B> y [, <B>float</B> w [, <B>float</B> h [, <B>string</B> type [, <B>mixed</B> link]]]])</TT>
<H4 CLASS='st'>Version</H4>
1.1
<H4 CLASS='st'>Beschreibung</H4>
Platziert ein Bild in der Seite. Die linke obere Ecke muss zur Positionierung definiert werden.
Die Abmessungen des Bildes k&ouml;nnen auf verschiedene Arten bestimmt werden:
<UL>
<LI>exakte Angabe von H&ouml;he und Breite (in der beim Klassenaufruf definierten Ma&szlig;einheit)
<LI>Angabe einer Dimension, wobei der zweite Wert unter Beibehaltung der Proportionen
automatisch berechnet wird
<LI>keine Angabe, das Bild wird mit einer Aufl&ouml;sung von 72 dpi platziert
</UL>
Unterst&uuml;tzte Formate: JPEG und PNG.
<BR>
<BR>
Folgende JPEG-Typen werden unterst&uuml;tzt:
<UL>
<LI>Graustufen
<LI>RGB (24 Bit)
<LI>CMYK (32 Bit)
</UL>
Folgende PNG-Typen werden unterst&uuml;tzt:
<UL>
<LI>Graustufen mit h&ouml;chstens 8 Bit Farbtiefe (256 Abstufungen)
<LI>indizierte Farben
<LI>RGB (24 Bit)
</UL>
nicht unterst&uuml;tzte Eigenschaften:
<UL>
<LI>Interlacing
<LI>Alpha-Kanal
</UL>
Wenn eine transparente Farbe definiert wurde, so wird diese &uuml;bernommen, kann
allerdings erst von Acrobat&nbsp;4 oder h&ouml;her dargestellt werden.
<BR>
<BR>
Das Format (JPEG oder PNG) kann wahlweise explizit angegeben oder anhand
der Dateiendung ermittelt werden.
<BR>
<BR>
Das Bild kann mit einer Verkn&uuml;pfung versehen werden.
<BR>
<BR>
Findet ein Bild mehrfach Verwendung, wird nur eine einzige Kopie in das PDF-Dokument
eingebettet.
<H4 CLASS='st'>Parameter</H4>
<TT><U>file</U></TT>
<BLOCKQUOTE>
Name der Bilddatei.
</BLOCKQUOTE>
<TT><U>x</U></TT>
<BLOCKQUOTE>
Horizontale Position der linken oberen Ecke.
</BLOCKQUOTE>
<TT><U>y</U></TT>
<BLOCKQUOTE>
Vertikale Position der linken oberen Ecke.
</BLOCKQUOTE>
<TT><U>w</U></TT>
<BLOCKQUOTE>
Breite, in der das Bild im Dokument dargestellt werden soll. Wird kein Wert oder
<tt>0</tt> angegeben, erfolgt eine automatische Berechnung.
</BLOCKQUOTE>
<TT><U>h</U></TT>
<BLOCKQUOTE>
H&ouml;he, in der das Bild im Dokument dargestellt werden soll. Wird kein Wert oder
<tt>0</tt> angegeben, erfolgt eine automatische Berechnung.
</BLOCKQUOTE>
<TT><U>type</U></TT>
<BLOCKQUOTE>
Das Bildformat. M&ouml;gliche Werte (Gro&szlig;-/Kleinschreibung wird nicht beachtet):
<TT>JPG</TT>, <TT>JPEG</TT>, <TT>PNG</TT>. Bei fehlender Angabe wird versucht, den Typ
anhand der Dateiendung zu ermitteln.
</BLOCKQUOTE>
<TT><U>link</U></TT>
<BLOCKQUOTE>
URL oder von AddLink() zur&uuml;ckgegebener Kennzeichner.
</BLOCKQUOTE>
<H4 CLASS='st'>Siehe auch</H4>
<A HREF="addlink.htm">AddLink()</A>.
<H6></H6>
<HR>
<DIV ALIGN="CENTER"><A HREF="index.htm">Index</A></DIV>
</BODY>
</HTML>
